<template>
  <modal name="modalConfirm"  height="auto" clickToClose>
    <div class="card p-2">
      <div class="modal-header">
        <h3>Are You Sure?</h3>
        <button
          type="button"
          class="close"
          @click="$modal.hide('modalConfirm')"
          data-dismiss="modal"
          aria-label="Close"
        >
          <font-awesome-icon color="firebrick" icon="times" size="lg"/>
        </button>
      </div>
      <div class="modal-body">
        <slot></slot>
      </div>
      <div class="modal-footer">
        <span class="ml-auto">
          <div class="btn  btn-danger" @click.stop="cancel()">No!</div>
          <div class="btn  btn-info" @click.stop="accept()">Yes</div>
        </span>
      </div>
    </div>
  </modal>
</template>
<script>
export default {
  props:['action'],
  methods:{
    cancel(){
     this.$emit(this.action,false);
     this.$modal.hide('modalConfirm')
    },
    accept(){
      this.$emit(this.action,true)
      this.$modal.hide('modalConfirm')
    }
  }
}
</script>
